Installer - Feature #9822

Support Puppet 4 / future parser across all modules
03/19/2015 04:51 AM - Dominic Cleal

Status: Closed

Priority: Normal
Assignee:

Category: Foreman modules
Target version: 1.11.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
Tracker for modules to support Puppet 4, with its "future" parser, strict variables etc.

https://github.com/theforeman/foreman-installer-modulesync/pull/11 tracks our own modules for the future parser.

Strict variables have yet to be tested.

External modules also need checking.

Related issues:

Related to Installer - Bug #10328: foreman-installer has kafo errors when fut... Duplicate 04/30/2015
Related to Katello - Bug #15217: Support puppet 4.0 in all our installer modules Closed

Blocks Foreman - Tracker #8447: Puppet 4 support Closed 11/19/2014
History

#1 - 03/19/2015 04:53 AM - Dominic Cleal
- Blocked by Tracker #8447: Puppet 4 support added

#2 - 07/20/2015 08:34 AM - Ewoud Kohl van Wijngaarden

https://github.com/theforeman/foreman-installer-modulesync/pull/13 tracks running tests on puppet 4.
https://github.com/theforeman/puppet-puppet/pull/282 should help a lot as well.

#3 - 10/02/2015 05:11 AM - Marek Hulan

- Related to Bug #10328: foreman-installer has kafo errors when future parser is enabled added

#4 - 12/02/2015 07:43 PM - Anonymous

| guess this can be closed now? :)

#5 - 12/03/2015 02:52 AM - Dominic Cleal
- Blocked by deleted (Tracker #8447: Puppet 4 support)

#6 - 12/03/2015 02:53 AM - Dominic Cleal
- Blocks Tracker #8447: Puppet 4 support added

#7 - 12/03/2015 02:53 AM - Dominic Cleal
- Status changed from New to Closed
- % Done changed from 0 to 100

- translation missing: en.field_release set to 71

Yep, all master branches for our modules should now support the Puppet 4 parser.
https://github.com/theforeman/foreman-installer-modulesync/pull/11
https://github.com/theforeman/foreman-installer-modulesync/pull/13
https://github.com/theforeman/puppet-puppet/pull/282

#8 - 05/27/2016 02:18 PM - Stephen Benjamin
- Related to Bug #15217: Support puppet 4.0 in all our installer modules added
